up
ГлавнаяБлогБезопасностьЖелезоПрограммированиеАдминистрирование
HTMLCentOSRAMSSDCPUPHPMySQLDebianLinuxBashHDDPerlBenchmarkFreeBSD

Популярные статьи

Новая система инициализации по умолчанию (systemd) в Debian 8

В Debian 7 была добавлена система инициализации systemd, теперь это система инициализации по умолчанию. Она предоставляет продвинутые возможности мониторинга, записи журнала и управления службами.

Так как она разрабатывалась для замены sysvinit и использует существующие сценарии инициализации SysV, пакет systemd можно без проблем устанавливать вместе с sysvinit и запускать через параметр ядра init=/bin/systemd. Пакет systemd-sysv предоставляет замену /sbin/init.

Tuesday, 06 September 2016, 15:02

There is no public key available for the following key IDs

Иногда при апгрейде системы в Debian, Ubuntu можно увидеть следующее сообщение:

There is no public key available for the following key IDs

Saturday, 03 October 2015, 00:07

public key is not available on Debian

Обновили список репозитариев и получили ошибку?
signatures couldn't be verified because the public key is not available: NO_PUBKEY AED4B06F473041FA
Исправление простое:

gpg --keyserver subkeys.pgp.net --recv AED4B06F473041FA
pg --export --armor AED4B06F473041FA | apt-key add -

Monday, 18 August 2014, 20:49Прочитано 40 раз

Обновление Java на Debian

Установили Java, но не устраивает устаревшая версия из репозитария?
Давайте обновим до актуальной версии, на данный момент это 1.7.0_09 (Java 1.7 update 9)
Для начала скачиваем из www.oracle.com jdk-7u9-linux-x64.tar.gz

Извлечем

tar xvf jdk-7u9-linux-x64.tar.gz

И переместим в директорию, например /usr/lib/jvm/:

mv jdk1.7.0_09/ /usr/lib/jvm/

Создадим переменную:

jdir=jdk1.7.0_09

Monday, 18 August 2014, 21:00Прочитано 41 раз

Репозитарии для Debian 5

На старых шаблонах VDS с операционной системой Debian 5 прописаны старые репозитарии, которые на данный момент нерабочие, их следует заменить на новые:

echo "deb http://archive.debian.org/debian/ lenny main contrib non-free" > /etc/apt/sources.list
echo "deb-src http://archive.debian.org/debian/ lenny main contrib non-free" >> /etc/apt/sources.list

Tuesday, 19 August 2014, 10:50Прочитано 41 раз

Sysbench и async в Debian

При попытке использования режима async в Debian получаем ошибку

FATAL: asynchronous I/O mode is unsupported on this platform.

Чтобы исправить это нам необходимо пересобрать sysbench.
Скачаем и разархивируем:

cd /usr/src
wget -q -O - http://downloads.sourceforge.net/project/sysbench/sysbench/0.4.12/sysbench-0.4.12.tar.gz | tar xz

При попытке сразу же собрать получим ошибку

command not found

Thursday, 21 August 2014, 19:26Прочитано 42 раза

Установка mp4box на Debian

Собственно сама установка:

cd /usr/src
wget -q -O - http://nchc.dl.sourceforge.net/project/gpac/GPAC/GPAC%200.4.5/gpac-0.4.5.tar.gz | tar xz
wget -q -O - http://nchc.dl.sourceforge.net/project/gpac/GPAC%20extra%20libs/GPAC%20extra%20libs%200.4.5/gpac_extra_libs-0.4.5.tar.gz | tar xz
aptitude update
aptitude install build-essential zlib-bin zlib1g zlib1g-dev zlibc
cd gpac_extra_libs
cp -r * ../gpac/extra_lib
cd ../gpac
chmod +x configure
./configure
make lib
make apps
make install lib
make install
cp bin/gcc/libgpac.so /usr/lib

Thursday, 21 August 2014, 23:21Прочитано 64 раза

Настройка OpenVPN на Debian

Устанавливаем OpenVPN

aptitude install openvpn udev

Генерируем корневой сертификат

cd /usr/share/doc/openvpn/examples/easy-rsa/2.0
. /usr/share/doc/openvpn/examples/easy-rsa/2.0/vars
. /usr/share/doc/openvpn/examples/easy-rsa/2.0/clean-all
. /usr/share/doc/openvpn/examples/easy-rsa/2.0/build-ca

Friday, 22 August 2014, 23:36Прочитано 71 раз

Установка Darwin Streaming Server на Debian Squeeze

Устанавливаем необходимые пакеты:

aptitude install build-essential wget unzip

Добавляем пользователя для запуска сервера:

addgroup --system qtss
adduser --system --no-create-home --ingroup qtss qtss

Создаем директорию для DSS:

mkdir /usr/local/src/DSS
cd /usr/local/src/DSS

Friday, 22 August 2014, 23:51Прочитано 56 раз

DSA-3008-1 php5 -- обновление безопасности

В PHP, языке сценариев общего назначения, часто используемом для разработки веб-приложений, были обнаружены несколько уязвимостей. Проект Common Vulnerabilities and Exposures определяет следующие проблемы:

  • CVE-2014-3538

    Было обнаружено, что исправление для CVE-2013-7345 недостаточно. Удалённый злоумышленник всё ещё может вызвать отказ в обслуживании (чрезмерное потребление CPU) с помощью специально сформированного файла, который включает механизм возврата во время обработки правила для регулярных выражений в awk.

  • CVE-2014-3587

    Было обнаружено, что ПО для грамматического разбора CDF из модуля fileinfo неправильно обрабатывает некорректные файлы в формате Composite Document File (CDF), что приводит к аварийной остановке работы приложения.

  • CVE-2014-3597

    Было обнаружено, что исправление для CVE-2014-4049 недостаточно. Сервер или злоумышленник, производящий атаку по принципу человек-в-середине, может вызвать отказ в обслуживании (аварийную остановку) и выполнить произвольный код через специально сформированную запись DNS TXT.

  • CVE-2014-4670

    Было обнаружено, что PHP некорректно обрабатывает некоторые итераторы SPL. Локальный злоумышленник может использовать данную уязвимость для того, чтобы аварийно завершить работу PHP, что приводит к отказу в обслуживании.

Saturday, 23 August 2014, 09:43Прочитано 45 раз

Чаще всего ищут

Статистика блога
Статтей: 177
Безопасность: 9
Железо: 19
Программирование: 14
Администрирование: 134